/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.jcg.manifold;

/**
 *
 * @author omozegieaziegbe
 */
public class AlternateFormatExamples {

    public static void main(String[] args) {

        Person person = Person.builder("Lee Clarke", 24)
                .withEmail("mr.lee@jcg.com").build();

        // Convert Person object to different formats
        String yamlOutput = person.write().toYaml();
        System.out.println("Generated YAML: " + yamlOutput);

        String xmlOutput = person.write().toXml();
        System.out.println("Generated XML: " + xmlOutput);

        String csvOutput = person.write().toCsv();
        System.out.println("Generated CSV: " + csvOutput);

    }
}
